15 Replies Latest reply: Apr 6, 2013 5:05 PM by Barbara B. RSS

    PSE compatability with Snow Leopard?


      After using PSE v6.0 for years under Mac Leopard, I upgraded to Snow Leopard and it is no longer stable....crashes mostly when saving a file.  I tried reinstalling PSE v6.0 but nothing changed.  I've looked for upgrades to both Snow Leopard and PSE v6.0 but Snow Leopard's didn't improve anything and I can't find upgrade to PSE.  Looked at the web for help but find only old complaints and an inconsistent experience....some installations work and some don't with no fix to be found  Need help, please.  Don